* gen_oppatients2.do

clear
cd C:\docs\ishr
use oppatients1.dta

* -stset- data; age is time axis
  stset endage, enter(time begage) failure(died==1) id(patid)

* split information in age bands (agegr)
  stsplit agegr, at(0 1 5(5)100)
  label variable agegr "Age band"

* Merge age- and sex-specific reference mortality rates to data
  sort sex agegr
  merge sex agegr using "dk1991-95.dta"
  drop if _merge<3       // Some age bands in the reference mortality rate file
  drop _merge            // had no match in the actual dataset; they are dropped

label data "Patient data, stsplit and merged with population rates"
save oppatients2.dta, replace
